from datetime import datetime

from common.ZoneMain import Zone


class BaseACKResource(object):
    zone: Zone = None

    # 公共资源信息
    aliasName: str = None
    createdTime: datetime = None
    updatedTime: datetime = None

    # 计费类型相关
    billingType: str = None
    prepaidTime: datetime = None
    payPeriod: int = None
    expireStrategy: str = None
    expireTime: datetime = None
    autoRenewCnt: int = None
    destroyTime: datetime = None

    def __init__(self, dictionary: dict):
        self.zone = Zone(dictionary.get("zone", None))
        self.aliasName = dictionary.get("aliasName", None)
        self.createdTime = datetime.strptime(dictionary.get("createdTime"), '%Y-%m-%d %H:%M:%S') if dictionary.get(
            "createdTime") != None else None
        self.updatedTime = datetime.strptime(dictionary.get("updatedTime"), '%Y-%m-%d %H:%M:%S') if dictionary.get(
            "updatedTime") != None else None
        self.billingType = dictionary.get("billingType", None)
        self.prepaidTime = datetime.strptime(dictionary.get("prepaidTime"), '%Y-%m-%d %H:%M:%S') if dictionary.get(
            "prepaidTime") != None else None
        self.payPeriod = dictionary.get("payPeriod", None)
        self.expireStrategy = dictionary.get("expireStrategy", None)
        self.expireTime = datetime.strptime(dictionary.get("expireTime"), '%Y-%m-%d %H:%M:%S') if dictionary.get(
            "expireTime") != None else None
        self.autoRenewCnt = dictionary.get("autoRenewCnt", None)
        self.destroyTime = datetime.strptime(dictionary.get("destroyTime"), '%Y-%m-%d %H:%M:%S') if dictionary.get(
            "destroyTime") != None else None

    def __getattr__(self, item):
        return self[item]
