from common.EBSMain import EBS
from common.EIPMain import EIP
from common.ImageMain import Image
from common.InstanceTypeMain import InstanceType
from common.MasterCloudResourceMain import MasterCloudResource


class ECS(MasterCloudResource):
    ip: str = None
    eip: str = None
    operatingSystem: str = None
    loginName: str = None
    loginPassword:str = None
    loginPort: int = None

    image: Image = None
    instanceType: InstanceType = None
    ebsList: list[str] = None
    eipList: list[str] = None

    def __init__(self, dictionary: dict):
        super(ECS, self).__init__(dictionary)

        self.ip = dictionary.get("ip", None)
        self.eip = dictionary.get("eip", None)
        self.operatingSystem = dictionary.get("operationSystem", None)
        self.loginName = dictionary.get("loginName", None)
        self.loginPassword = dictionary.get("loginPassword",None)
        self.loginPort = dictionary.get("loginPort", None)
        self.image = Image(dictionary.get("image"))
        self.instanceType = InstanceType(dictionary.get("instanceType"))
        self.ebsList = list(dictionary.get("ebsList"))
        self.eipList = list(dictionary.get("eipList"))

    def __getattr__(self, item):
        return self[item]
