from common.constants import AICloudConstants


class HttpProfile(object):
    host: str = None
    port: int = None
    protocol: str = None
    contextPath: str = None
    connectTimeout: int = None
    readTimeout: int = None
    writeTimeout: int = None
    verifyCert: bool = False

    def __init__(self, protocol: str = "https", host: str = AICloudConstants.AICLOUD_BASEURL, port: int = 443,
                 contextPath: str = "platform", connectTimeout: int = 10, readTimeout: int = 60,
                 writeTimeout: int = 60, verifyCert: bool = True):
        self.protocol = protocol
        self.host = host
        self.port = port
        self.contextPath = contextPath
        self.connectTimeout = connectTimeout
        self.readTimeout = readTimeout
        self.writeTimeout = writeTimeout
        self.verifyCert = verifyCert

    def __getattr__(self, item):
        return self[item]
