import decimal

from common.InquiryPriceItemMain import InquiryPriceItem
from common.enums.BillingTypeEnum import BillingTypeEnum


class InquiryPriceResponse(dict):
    cashBalance: decimal = None
    originPrice: decimal = None
    items: list[InquiryPriceItem] = None

    def __init__(self, dictionary: dict):
        if dictionary is not None:
            self.cashBalance = dictionary.get("cashBalance", None)
            self.originPrice = dictionary.get("originPrice", None)
            itemList: list[InquiryPriceItem] = []
            for item in list(dictionary.get("items")):
                _item = InquiryPriceItem(item)
                itemList.append(_item)
            if not len(itemList)==0:
                self.items = itemList

    def __getattr__(self, item):
        return self[item]
