from datetime import datetime

from common.ZoneMain import Zone


class MasterCloudResource(object):
    zone: Zone = None
    resourceName: str = None
    aliasName: str = None
    resourceStatus: str = None
    createdTime: datetime = None
    updatedTime: datetime = None
    resourceUuid: str = None
    billingType: str = None
    prepaidTime: datetime = None
    payPeriod: int = None
    expireStrategy: str = None
    expireTime: datetime = None
    autoRenewCnt: int = None
    destroyTime: datetime = None

    def __init__(self, dictionary: dict):
        self.zone = Zone(dictionary.get("zone", None))
        self.resourceName = dictionary.get("resourceName", None)
        self.aliasName = dictionary.get("aliasName", None)
        self.resourceStatus = dictionary.get("resourceStatus", None)
        self.createdTime = datetime.strptime(dictionary.get("createdTime"), '%Y-%m-%d %H:%M:%S') if dictionary.get(
            "createdTime") != None else None
        self.updatedTime = datetime.strptime(dictionary.get("updatedTime"), '%Y-%m-%d %H:%M:%S') if dictionary.get(
            "updatedTime") != None else None
        self.resourceUuid = dictionary.get("resourceUuid", None)
        self.billingType = dictionary.get("billingType", None)
        self.prepaidTime = datetime.strptime(dictionary.get("prepaidTime"), '%Y-%m-%d %H:%M:%S') if dictionary.get(
            "prepaidTime") != None else None
        self.payPeriod = dictionary.get("payPeriod", None)
        self.expireStrategy = dictionary.get("expireStrategy", None)
        self.expireTime = datetime.strptime(dictionary.get("expireTime"), '%Y-%m-%d %H:%M:%S') if dictionary.get(
            "expireTime") != None else None
        self.autoRenewCnt = dictionary.get("autoRenewCnt", None)
        self.destroyTime = datetime.strptime(dictionary.get("destroyTime"), '%Y-%m-%d %H:%M:%S') if dictionary.get(
            "destroyTime") != None else None

    def __getattr__(self, item):
        return self[item]
