from common.ACKCI import ACKCI
from common.ACKCV import ACKCV
from common.ACKCS import ACKCS
from common.EBSMain import EBS
from common.ECSMain import ECS


class PageECSData(object):
    pageSize: int = None
    pageNum: int = None
    total: int = None
    rows: list[ECS] = None

    def __init__(self, dictionary: dict):
        if dictionary is not None:
            self.pageSize = dictionary.get("pageSize", None)
            self.pageNum = dictionary["pageNum"]
            self.total = dictionary["total"]
            self.rows = list[ECS]()
            for row in dictionary["rows"]:
                self.rows.append(ECS(row))


class PageACKCSData(object):
    pageSize: int = None
    pageNum: int = None
    total: int = None
    rows: list[ACKCS] = None

    def __init__(self, dictionary: dict):
        if dictionary is not None:
            self.pageSize = dictionary.get("pageSize", None)
            self.pageNum = dictionary.get("pageNum",None)
            self.total = dictionary.get("total",None)
            self.rows = list[ACKCS]()
            for row in dictionary["rows"]:
                self.rows.append(ACKCS(row))

class PageACKCVData(object):
    pageSize: int = None
    pageNum: int = None
    total: int = None
    rows: list[ACKCV] = None

    def __init__(self, dictionary: dict):
        self.rows = list[ACKCV]()
        if dictionary is not None:
            self.pageSize = dictionary.get("pageSize", None)
            self.pageNum = dictionary.get("pageNum",None)
            self.total = dictionary.get("total",None)
            for row in dictionary["rows"]:
                self.rows.append(ACKCV(row))

class PageACKCIData(object):
    pageSize: int = None
    pageNum: int = None
    total: int = None
    rows: list[ACKCI] = None

    def __init__(self, dictionary: dict):
        self.rows = list[ACKCI]()
        if dictionary is not None:
            self.pageSize = dictionary.get("pageSize", None)
            self.pageNum = dictionary.get("pageNum",None)
            self.total = dictionary.get("total",None)
            for row in dictionary["rows"]:
                self.rows.append(ACKCI(row))

class PageEBSData(object):
    pageSize: int
    pageNum: int
    total: int
    rows: list[EBS]

    def __init__(self, dictionary: dict):
        if dictionary is not None:
            self.pageSize = dictionary.get("pageSize", None)
            self.pageNum = dictionary["pageNum"]
            self.total = dictionary["total"]
            self.rows = list[EBS]()
            for row in dictionary["rows"]:
                self.rows.append(EBS(row))
