import unittest

from common.utils.SignUtils import encodeHex, encode, Signature, percentEncode, CanonicalHeaders


class SignUtilsTest(unittest.TestCase):

    def test_encode(self):
        encodeStr = encode("beijing")
        print(encodeStr)

    def test_encodeHex(self):
        rawStr = "beijing"
        rawStrBytes = rawStr.encode("utf-8")

        rawHexStr = encodeHex(rawStrBytes)
        print(rawHexStr)

    def test_Signature(self):
        secretKey = "abcd1234"
        data = "beijing"
        signedStr = Signature(secretKey, data)
        print(signedStr)

    def test_percentEncode(self):
        url = "http://127.0.0.1:8890/v3/ecs/DescribeInstances"
        encodedUrl = percentEncode(url)
        print(encodedUrl)

    def test_CanonicalHeaders(self):
        headers = dict()
        headers["Host"] = "127.0.0.1"
        headers["Content-Type"] = "application/json"
        signedHeaders = "host;content-type"
        ret = CanonicalHeaders(headers, signedHeaders)
        print(ret)


if __name__ == '__main__':
    unittest.main()
