from common.BaseRequestMain import BaseRequest
from common.EBSInputMain import EBSInput
from common.EIPInputMain import EIPInput
from common.enums.BillingTypeEnum import BillingTypeEnum


class RunInstancesRequest(BaseRequest):
    count: int = 1
    aliasName: str = None
    ecsModel: str = None
    imageUuid: str = None
    eip: EIPInput = None
    ebs: list[EBSInput] = None
    rootDiskType: str = None
    rootDiskSize: str = None
    billingType: BillingTypeEnum = None
    autoContinue: bool = False
    payPeriod: int = None
    password: str = None

    def __init__(self, *args, **kwargs):
        super(RunInstancesRequest, self).__init__(*args, **kwargs)

    def __getattr__(self, item):
        return self[item]
