
from common.ClientProfileMain import ClientProfile
from common.HttpProfileMain import HttpProfile

from common.constants import AICloudConstants


class ChangeSizeAddressRequest(dict):
    clusterId: int
    regionId: int
    zoneId: int
    eipUuid: str
    bandwidth: int
    chargeWithFlow: bool

    def __init__(self, profile: HttpProfile, credential: ClientProfile):
        self.credential = credential
        self.profile = profile

    def __init__(self, *args, **kwargs):
        super(ChangeSizeAddressRequest, self).__init__(*args, **kwargs)

    def __getattr__(self, item):
        return self[item]


class EIP(dict):
    httpProfile: HttpProfile
    clientProfile: ClientProfile

    def __init__(self, httpProfile: HttpProfile, clientProfile: ClientProfile):
        self.clientProfile = clientProfile
        self.httpProfile = httpProfile

    def GenericRequest(self, request: dict, action: str) -> str:
        url: str = self.httpProfile.protocol + \
                   "://" + \
                   self.httpProfile.host + \
                   ":" + \
                   str(self.httpProfile.port) + \
                   "/" + \
                   self.httpProfile.contextPath + \
                   "/" + \
                   AICloudConstants.VERSION + \
                   "/" + \
                   AICloudConstants.EBS_SERVICE + \
                   "/" + \
                   action
        headers = dict()
        headers[AICloudConstants.X_AIC_ACTION] = action
        headers[AICloudConstants.X_AIC_ACCESSKEY] = self.clientProfile.accessKey
        headers["Host"] = self.httpProfile.host +":"+str(self.httpProfile.port)
        headers[AICloudConstants.X_AIC_SERVICE] = AICloudConstants.ECS_SERVICE

        response = self.client.postForResponse(url, headers, body=request)

    def ChangeSizeAddress(self, request: ChangeSizeAddressRequest):
        return None
