import unittest

from common.ClientProfileMain import ClientProfile
from common.HttpProfileMain import HttpProfile
from jobs.DescribeJobsRequestMain import DescribeJobsRequest
from jobs.JobClientMain import JobClient


class MyTestCase(unittest.TestCase):
    def test_DescribeJobs(self):
        httpProfile = HttpProfile(
            protocol="http",
            host="127.0.0.1",
            port=8899
        )
        clientProfile = ClientProfile(
            accessKey="abcd",
            secretAccessKey="abcd1234"
        )

        client = JobClient(httpProfile=httpProfile, clientProfile=clientProfile)
        request = DescribeJobsRequest()
        request.jobUuid = "9519e082308f45dc81fb591176cfcb53"
        response = client.DescribeJobs(request)

        code = response.code
        message = response.message
        if code != 200:
            print(message)
            return None

        jobs = response.data
        if jobs is not None:
            for job in jobs:
                print(job.__dict__)


if __name__ == '__main__':
    unittest.main()
