import sys
import unittest

from common.ClientProfileMain import ClientProfile
from common.HttpProfileMain import HttpProfile
from region.DescribeZonesRequestMain import DescribeZonesRequest
from region.RegionClientMain import RegionClient


class MyTestCase(unittest.TestCase):
    def test_DescribeZones(self):
        httpProfile = HttpProfile(
            protocol="http",
            host="172.18.3.200",
            port=8890
        )
        clientProfile = ClientProfile(
            accessKey="abcd",
            secretAccessKey="abcd1234"
        )

        client = RegionClient(httpProfile=httpProfile, clientProfile=clientProfile)
        request = DescribeZonesRequest()
        response = client.DescribeZones(request)
        code = response.code
        message = response.message
        if code != 200:
            print(message)
            return None

        tZones = response.data
        for zone in tZones:
            print(zone.__dict__)

if __name__ == '__main__':
    unittest.main()
